From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/opencascade/
Date: Sat, 15 Jan 2022 22:14:58 +0000 (UTC) [thread overview]
Message-ID: <1642284887.0ea126f6c797701fe675896e6a8bca989d9b82bb.sam@gentoo> (raw)
commit: 0ea126f6c797701fe675896e6a8bca989d9b82bb
Author: Bernd Waibel <waebbl-gentoo <AT> posteo <DOT> net>
AuthorDate: Sat Jan 15 14:52:19 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jan 15 22:14:47 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ea126f6
sci-libs/opencascade: fix installation paths for 7.5
Use the same path as for the 7.6 series /usr/$(get_libdir)/${PN}
instead of /usr/$(get_libdir)/${P}, so the changed environment
files works for all versions.
Bugs: https://bugs.gentoo.org/831054
Bugs: https://bugs.gentoo.org/831069
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Bernd Waibel <waebbl-gentoo <AT> posteo.net>
Signed-off-by: Sam James <sam <AT> gentoo.org>
...de-7.5.2-r4.ebuild => opencascade-7.5.2-r5.ebuild} | 19 ++++++++++++-------
...de-7.5.3-r5.ebuild => opencascade-7.5.3-r6.ebuild} | 19 ++++++++++++-------
2 files changed, 24 insertions(+), 14 deletions(-)
diff --git a/sci-libs/opencascade/opencascade-7.5.2-r4.ebuild b/sci-libs/opencascade/opencascade-7.5.2-r5.ebuild
similarity index 90%
rename from sci-libs/opencascade/opencascade-7.5.2-r4.ebuild
rename to sci-libs/opencascade/opencascade-7.5.2-r5.ebuild
index 98fad573f3a8..f4c5fd8ff1e3 100644
--- a/sci-libs/opencascade/opencascade-7.5.2-r4.ebuild
+++ b/sci-libs/opencascade/opencascade-7.5.2-r5.ebuild
@@ -88,15 +88,20 @@ src_configure() {
local mycmakeargs=(
-DBUILD_DOC_Overview=$(usex doc)
-DBUILD_Inspector=$(usex examples)
- -DBUILD_WITH_DEBUG=$(usex debug)
- -DINSTALL_DIR_BIN="$(get_libdir)/${P}/bin"
- -DINSTALL_DIR_CMAKE="$(get_libdir)/cmake/${P}"
+
+ -DINSTALL_DIR_BIN="$(get_libdir)/${PN}/bin"
+ -DINSTALL_DIR_CMAKE="$(get_libdir)/cmake/${PN}"
+ -DINSTALL_DIR_DATA="share/${PN}/data"
-DINSTALL_DIR_DOC="share/doc/${PF}"
- -DINSTALL_DIR_LIB="$(get_libdir)/${P}"
- -DINSTALL_DIR_SCRIPT="$(get_libdir)/${P}/bin"
- -DINSTALL_DIR_WITH_VERSION=ON
+ -DINSTALL_DIR_INCLUDE="include/${PN}"
+ -DINSTALL_DIR_LIB="$(get_libdir)/${PN}"
+ -DINSTALL_DIR_RESOURCE="share/${PN}/resources"
+ -DINSTALL_DIR_SAMPLES="share/${PN}/samples"
+ -DINSTALL_DIR_SCRIPT="$(get_libdir)/${PN}/bin"
+ -DINSTALL_DIR_WITH_VERSION=OFF
-DINSTALL_SAMPLES=$(usex examples)
-DINSTALL_TEST_CASES=NO
+
-DUSE_D3D=NO
-DUSE_FFMPEG=$(usex ffmpeg)
-DUSE_FREEIMAGE=$(usex freeimage)
@@ -160,7 +165,7 @@ src_install() {
# remove examples
if use !examples; then
- rm -r "${ED}/usr/share/${P}/samples" || die
+ rm -r "${ED}/usr/share/${PN}/samples" || die
fi
docompress -x /usr/share/doc/${PF}/overview/html
diff --git a/sci-libs/opencascade/opencascade-7.5.3-r5.ebuild b/sci-libs/opencascade/opencascade-7.5.3-r6.ebuild
similarity index 90%
rename from sci-libs/opencascade/opencascade-7.5.3-r5.ebuild
rename to sci-libs/opencascade/opencascade-7.5.3-r6.ebuild
index 55ca127b2053..57cdfcf646b6 100644
--- a/sci-libs/opencascade/opencascade-7.5.3-r5.ebuild
+++ b/sci-libs/opencascade/opencascade-7.5.3-r6.ebuild
@@ -88,15 +88,20 @@ src_configure() {
local mycmakeargs=(
-DBUILD_DOC_Overview=$(usex doc)
-DBUILD_Inspector=$(usex examples)
- -DBUILD_WITH_DEBUG=$(usex debug)
- -DINSTALL_DIR_BIN="$(get_libdir)/${P}/bin"
- -DINSTALL_DIR_CMAKE="$(get_libdir)/cmake/${P}"
+
+ -DINSTALL_DIR_BIN="$(get_libdir)/${PN}/bin"
+ -DINSTALL_DIR_CMAKE="$(get_libdir)/cmake/${PN}"
+ -DINSTALL_DIR_DATA="share/${PN}/data"
-DINSTALL_DIR_DOC="share/doc/${PF}"
- -DINSTALL_DIR_LIB="$(get_libdir)/${P}"
- -DINSTALL_DIR_SCRIPT="$(get_libdir)/${P}/bin"
- -DINSTALL_DIR_WITH_VERSION=ON
+ -DINSTALL_DIR_INCLUDE="include/${PN}"
+ -DINSTALL_DIR_LIB="$(get_libdir)/${PN}"
+ -DINSTALL_DIR_RESOURCE="share/${PN}/resources"
+ -DINSTALL_DIR_SAMPLES="share/${PN}/samples"
+ -DINSTALL_DIR_SCRIPT="$(get_libdir)/${PN}/bin"
+ -DINSTALL_DIR_WITH_VERSION=OFF
-DINSTALL_SAMPLES=$(usex examples)
-DINSTALL_TEST_CASES=NO
+
-DUSE_D3D=NO
-DUSE_FFMPEG=$(usex ffmpeg)
-DUSE_FREEIMAGE=$(usex freeimage)
@@ -160,7 +165,7 @@ src_install() {
# remove examples
if use !examples; then
- rm -r "${ED}/usr/share/${P}/samples" || die
+ rm -r "${ED}/usr/share/${PN}/samples" || die
fi
docompress -x /usr/share/doc/${PF}/overview/html
next reply other threads:[~2022-01-15 22:15 UTC|newest]
Thread overview: 73+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-01-15 22:14 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-23 21:08 [gentoo-commits] repo/gentoo:master commit in: sci-libs/opencascade/ Sam James
2024-11-23 16:08 Sam James
2024-11-23 16:08 Sam James
2024-08-25 15:44 Sam James
2024-08-25 15:44 Sam James
2024-04-14 14:28 Andrew Ammerlaan
2024-04-14 14:28 Andrew Ammerlaan
2024-03-26 20:25 Sam James
2024-03-23 8:34 Sam James
2023-07-31 8:43 Joonas Niilola
2023-02-06 19:49 Sam James
2023-01-27 7:46 Joonas Niilola
2023-01-04 5:50 Sam James
2023-01-04 5:50 Sam James
2022-12-31 15:36 Sam James
2022-12-19 14:49 Andreas Sturmlechner
2022-12-19 14:47 Andreas Sturmlechner
2022-12-13 14:11 Andrew Ammerlaan
2022-09-27 13:57 Andrew Ammerlaan
2022-09-25 7:20 Joonas Niilola
2022-08-14 16:06 Florian Schmaus
2022-07-27 19:03 Conrad Kostecki
2022-07-26 14:22 Joonas Niilola
2022-06-21 10:14 Andrew Ammerlaan
2022-06-14 16:01 Joonas Niilola
2022-06-14 16:01 Joonas Niilola
2022-06-03 11:01 Joonas Niilola
2022-05-19 12:12 Joonas Niilola
2022-03-16 22:54 Sam James
2022-03-16 22:51 Sam James
2022-03-16 22:51 Sam James
2022-03-16 22:51 Sam James
2022-01-16 1:31 Sam James
2022-01-16 0:24 Sam James
2022-01-15 22:14 Sam James
2022-01-15 22:14 Sam James
2022-01-13 1:25 Sam James
2022-01-10 1:04 Sam James
2021-11-06 6:03 Sam James
2021-11-06 6:03 Sam James
2021-11-06 6:03 Sam James
2021-11-06 6:03 Sam James
2021-11-04 7:35 Ionen Wolkens
2021-10-29 22:23 Sam James
2021-10-24 4:06 Sam James
2021-06-04 7:38 Joonas Niilola
2021-06-04 7:38 Joonas Niilola
2021-05-04 22:02 Sam James
2021-03-01 8:26 Joonas Niilola
2021-02-22 18:57 Sam James
2021-02-18 9:36 Joonas Niilola
2021-02-07 17:07 Conrad Kostecki
2020-10-26 10:15 Joonas Niilola
2020-04-27 14:42 Matthias Maier
2020-04-26 11:00 David Seifert
2020-04-01 14:38 Joonas Niilola
2020-01-03 19:08 Andreas Sturmlechner
2019-04-21 18:24 Andreas Sturmlechner
2019-02-06 22:38 Patrice Clement
2019-01-15 23:13 Patrice Clement
2018-04-05 12:31 Andreas Sturmlechner
2017-12-22 11:44 Michael Weber
2017-12-22 11:37 Michael Weber
2017-11-06 1:58 Andreas Sturmlechner
2017-06-04 22:52 Michael Weber
2017-01-31 8:37 Robin H. Johnson
2016-11-19 17:56 David Seifert
2016-11-06 10:29 David Seifert
2016-09-26 12:04 Michael Weber
2016-06-17 15:14 Michael Weber
2015-08-23 11:15 Michael Weber
2015-08-09 13:58 Michael Weber
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1642284887.0ea126f6c797701fe675896e6a8bca989d9b82bb.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox